cet-is - Support #23990

update tensorflow
02/03/2020 11:04 AM - Michael Wang

Status: Closed Start date: 02/03/2020
Priority: Normal Due date:

Assignee: Kyle Knoepfel % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours
Scope: Internal SSI Package:

Experiment: DUNE Co-Assignees:

Description

We need an updated version of tensorflow that depends on protobuf v3_11_2 so that it will be compatible with the tensor rt inference
client trtis_client. We cannot use tensor RT by itself because the code in which tensor RT will be implemented also uses tensorflow,
so working around this by doing an unsetup of tensorflow is not feasible. We have now implemented the tensor RT inference client
in PointIDAIg of larreco which dune/protoDUNE would like to start using. The only thing preventing us from doing this is the version
of tensorflow.

History

#1 - 02/03/2020 11:06 AM - Lynn Garren
- Assignee set to Kyle Knoepfel

- Status changed from New to Assigned

#2 - 02/03/2020 07:12 PM - Kyle Knoepfel
- % Done changed from 0 to 100

tensorflow v1_3_0h is now available on https:/scisoft.fnal.gov/scisoft/packages/tensorflow. It depends on protobuf v3_11_2. We will mark this issue
resolved once the new version of tensorflow has been included in a LArSoft release.

#3 - 02/10/2020 10:19 AM - Kyle Knoepfel

- Status changed from Assigned to Resolved

#4 - 02/10/2020 10:19 AM - Kyle Knoepfel

- Status changed from Resolved to Closed

#5 - 02/10/2020 10:20 AM - Kyle Knoepfel
tensorflow v1_3_0h has been included in the LArSoft v08_42_00 distribution.
